Retrieve specific asset balance
curl --request GET \
--url https://api.example.com/accounts/balances/{asset_id} \
--header 'x-digest-key: <api-key>' \
--header 'x-digest-signature: <x-digest-signature>' \
--header 'x-digest-timestamp: <x-digest-timestamp>'import requests
url = "https://api.example.com/accounts/balances/{asset_id}"
headers = {
"x-digest-timestamp": "<x-digest-timestamp>",
"x-digest-key": "<api-key>",
"x-digest-signature": "<x-digest-signature>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-digest-timestamp': '<x-digest-timestamp>',
'x-digest-key': '<api-key>',
'x-digest-signature': '<x-digest-signature>'
}
};
fetch('https://api.example.com/accounts/balances/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": "0.00"
}{
"reason": "Asset is not supported",
"statusCode": 400
}{
"reason": "Unauthorized",
"statusCode": 401
}{
"reason": "Internal Server Error",
"statusCode": 500
}Accounts
Get Balance by Asset
Fetches the balance of a specific asset for the logged-in merchant.
GET
/
accounts
/
balances
/
{asset_id}
Retrieve specific asset balance
Authorizations
Your public API key
Headers
Current Unix timestamp
Your public api key
Digest Auth Signature
Path Parameters
Response
On success, the endpoint will return a JSON object with the balance of the specified asset.
The response includes the total available balance of the specified asset, formatted as a string.
The total available balance for the specified asset.
⌘I